Download an Instagram video
curl --request POST \
--url https://api.agentbody.io/v1/instagram/video/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'import requests
url = "https://api.agentbody.io/v1/instagram/video/download"
payload = { "url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api.agentbody.io/v1/instagram/video/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"author_name": "Example Author",
"author_username": "example",
"comment_count": 310,
"duration_seconds": 29.5,
"like_count": 18420,
"media_type": "video",
"play_count": 512334,
"post_url": "https://www.instagram.com/reel/DWocNOhgmgg/",
"shortcode": "DWocNOhgmgg",
"text": "Example caption",
"thumbnail_url": "https://example.com/cover.jpg",
"video_content_type": "video/mp4",
"video_url": "https://api.apify.com/v2/key-value-stores/example/records/DWocNOhgmgg.mp4"
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "example error"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "example error"
}
}{
"error": {
"code": "CONFLICT",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_INVALID_RESPONSE",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_UNAVAILABLE",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_TIMEOUT",
"message": "example error"
}
}instagram
Download an Instagram video
Use this operation to save one public Instagram video or Reel as a retained MP4 file link with normalized post metadata.
POST
/
v1
/
instagram
/
video
/
download
Download an Instagram video
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional key for safely retrying a billable write request.
Required string length:
1 - 255Body
application/json
Public Instagram video or Reel URL (instagram.com/reel/{shortcode}, /p/{shortcode}, /tv/{shortcode}, or share link).
Response
Retained Instagram media link and normalized public post metadata.
Was this page helpful?
